{ pkgs, ... }:

{
  programs.neovim = { 
    enable = true;
    viAlias = true;
    vimAlias = true;
    defaultEditor = true;
    plugins = with pkgs.vimPlugins; [ vim-nix vim-markdown ];
    extraConfig = builtins.readFile ./vimrc;
  };
  home.packages = with pkgs; [ xclip ]; # for global clipboard
}
